-- toolsFillRef
-- 
--
-- author: WoutvdBerg
-- Lsportal modteam
-- 

toolsFillRef = {};


function toolsFillRef.prerequisitesPresent(specializations)
    return true;
end;


function toolsFillRef:load(xmlFile)	
	self.toolsFillRef = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.toolsFillRef#index") );
end;

function toolsFillRef:delete()
end;


function toolsFillRef:mouseEvent(posX, posY, isDown, isUp, button)
end;

function toolsFillRef:keyEvent(unicode, sym, modifier, isDown)

end;

function toolsFillRef:update(dt)

end;

function toolsFillRef:updateTick(dt)

end;

function toolsFillRef:draw()

end;

function toolsFillRef:onAttach()

end;

function toolsFillRef:onDetach()
end;
